--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Reads <tt>len</tt> bytes (or all remaining data) from the entry. Returns <tt>nil</tt> if there is no more data to read.
full_name: Archive::Tar::Minitar::Reader::EntryStream#read
is_singleton: false
name: read
params: (len = nil)
visibility: public
